
Foreman - Bug #2562

Hosts created with wrong listen address

05/26/2013 04:27 AM - Ryan Davies

Status: Closed   

Priority: Normal   

Assignee:    

Category: VM management   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Setting the listen address for new domains to 0 is breaking libvirt's API standard, 

http://libvirt.org/formatdomain.html#elementsGraphics

Changed

lib/foreman/model/libvirt.rb#console:

vm.update_display(:password => password, :listen => '0')

to

vm.update_display(:password => password, :listen => '0.0.0.0')

The websocket still works (and starts working for existing systems), and virt-manager starts working again (For newly defined

machines)

See pull request https://github.com/theforeman/foreman/pull/626

Associated revisions

Revision 710dfa86 - 05/30/2013 09:41 AM - Ryan Davies

fixes #2562 libvirt domain listen address, add libvirt_default_console_address setting

Revision c8151d16 - 05/30/2013 12:51 PM - Ryan Davies

fixes #2562 libvirt domain listen address, add libvirt_default_console_address setting

(cherry picked from commit 710dfa86835e7b8b430cf59646a7888746c3b0bc)

History

#1 - 05/30/2013 09:41 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Priority changed from High to Normal

https://github.com/theforeman/foreman/pull/626

#2 - 05/30/2013 10:17 AM - Ryan Davies

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 710dfa86835e7b8b430cf59646a7888746c3b0bc.
